﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace LabelStyleForXamDataGridActiveField
{
    public partial class SetLabelStyleForActiveField : Window
    {
        private Style oldLabelPresenterStyle = new Style();
        private Field oldField = null;
        public SetLabelStyleForActiveField()
        {
            InitializeComponent();
        }

        private void xamDataGrid1_CellActivating(object sender, Infragistics.Windows.DataPresenter.Events.CellActivatingEventArgs e)
        {
            if (oldField != null)
            {
                oldField.Settings.LabelPresenterStyle = oldLabelPresenterStyle;
            }
        }

        private void xamDataGrid1_CellActivated(object sender, Infragistics.Windows.DataPresenter.Events.CellActivatedEventArgs e)
        {
            Cell activeCell = e.Cell;
            Field field = activeCell.Field;
            Style labelPresenterStyle = (Style)FindResource("labelPresenterStyle");
            if (labelPresenterStyle != null)
            {
                oldField = field;
                oldLabelPresenterStyle = field.Settings.LabelPresenterStyle;
                field.Settings.LabelPresenterStyle = labelPresenterStyle;
                if (field.IsExpandable.HasValue)
                {
                    field.IsExpandable = null;
                }
                else
                {
                    field.IsExpandable = false;
                }
            }
        }
    }
}
